Skip to main content
POST
/
payment
/
file
/
run
/
{payrollConfigId}
/
year
/
{year}
/
frequency
/
{frequency}
/
period
/
{period}
/
retry
Retry failed payment file generation with refreshed employee data
curl --request POST \
  --url https://api.sandbox.flowpayroll.ai/v1/payment/file/run/{payrollConfigId}/year/{year}/frequency/{frequency}/period/{period}/retry \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {},
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

payrollConfigId
string
required
year
string
required
frequency
string
required
period
string
required

Response

Retry has been queued

message
object
content
object
validationIssues
object[]
messageToken
string